Bug 1477103 (CVE-2017-12067) - CVE-2017-12067 potrace: heap-based buffer over-read in the interpolate_cubic function
Summary: CVE-2017-12067 potrace: heap-based buffer over-read in the interpolate_cubic ...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2017-12067
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1477104 1477105
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-01 08:40 UTC by Adam Mariš
Modified: 2019-09-29 14:18 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:19:37 UTC


Attachments (Terms of Use)

Description Adam Mariš 2017-08-01 08:40:25 UTC
Potrace 1.14 has a heap-based buffer over-read in the interpolate_cubic
function in mkbitmap.c.

Reproducer and ASAN report:

https://github.com/hackerlib/hackerlib-vul/tree/master/potrace/heap-buffer-overflow-mkbitmap

Comment 1 Adam Mariš 2017-08-01 08:41:23 UTC
Created potrace tracking bugs for this issue:

Affects: epel-all [bug 1477104]
Affects: fedora-all [bug 1477105]

Comment 2 Product Security DevOps Team 2019-06-08 03:19:37 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.